<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Search Attribute Items
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

                <div class="w-full">
                    <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                        <div class="mr-4">
                            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                <div class="text-secondary px-4" matPrefix>Name</div>
                                <input matInput placeholder="Search by Name" #input name="supplierName" [(ngModel)]="supplier.supplierName">
                            </mat-form-field>
                            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                <div class="text-secondary px-4" matPrefix>Status</div>
                                <input matInput placeholder="Search by Status" #input name="supplierStatus" [(ngModel)]="supplier.supplierStatus">
                            </mat-form-field>
                            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mb-3" [floatLabel]="'always'">
                                <div class="text-secondary px-4" matPrefix>Email </div>
                                <input matInput placeholder="Search by Email" #input name="contactEmail" [(ngModel)]="supplier.contactEmail">
                            </mat-form-field>

                        </div>

                        <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'" type="button" (click)=" FetchBasicData()">
                            <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                            <span class="mr-8 ml-4">Search</span>
                        </button>
                    </div>
                </div>
            <p class="mt-6 mb-2 font-medium w-3/5 text-l text-secondary">
                Search Results
            </p>
            <!--table component-->

            <!--base table component-->
            <div class="overflow-auto bg-gray-50 rounded-lg">
                <table mat-table  [dataSource]="supplier.supplierModel" matSort (matSortChange)="sortData($event)" class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px"></th>
                        <td mat-cell *matCellDef="let row">
                            <mat-checkbox [color]="'primary'" (change)="SetIsChecked(row,$event)" name="{{row.id}}" [checked]="row.isChecked"  [disabled]="row.isDisabled" [(ngModel)]="row.isChecked"></mat-checkbox>
                        </td>
                    </ng-container>

                    <!-- Name Item -->
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 110px">
                            Supplier Name
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.supplierName}} </td>
                    </ng-container>

                    <!-- Supplier Status Column -->
                    <ng-container matColumnDef="status">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 140px">
                            Supplier Status
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.supplierStatus}} </td>
                    </ng-container>

                    <!-- Email Addresses Column -->
                    <ng-container matColumnDef="email">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px">
                            Email Addresses
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.contactEmail}}
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
            <div class="flex justify-end">
                <mat-paginator [length]="supplier.totalItems" [pageSize]="supplier.pageSize" 
                [pageSizeOptions]="[5,10,15,20,25,100]" (page)="pageEvent=$event;OnPaginateChange($event)" showFirstLastButtons></mat-paginator>
            
            </div>
            <!--table component end-->


                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="button" (click)="addSupplierInvitationList()">
                <span class="mx-4">Add to Current List</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
